diff options
author | Bill Nottingham <notting@redhat.com> | 2009-04-09 10:29:27 -0400 |
---|---|---|
committer | Bill Nottingham <notting@redhat.com> | 2009-04-09 10:29:27 -0400 |
commit | 06d5b450647af97048fb085a3f363b0e7bf904a5 (patch) | |
tree | b75128d240767d51f0366562bbf1c21cc4be9c51 /sysconfig | |
parent | ddea67cc8a9e4a19c9962cba7a544ca2ce29a1c0 (diff) | |
download | initscripts-06d5b450647af97048fb085a3f363b0e7bf904a5.tar initscripts-06d5b450647af97048fb085a3f363b0e7bf904a5.tar.gz initscripts-06d5b450647af97048fb085a3f363b0e7bf904a5.tar.bz2 initscripts-06d5b450647af97048fb085a3f363b0e7bf904a5.tar.xz initscripts-06d5b450647af97048fb085a3f363b0e7bf904a5.zip |
Allow changing of VLAN type even if the module is already loaded. (#495053, <pietro@bertera.it>)
Diffstat (limited to 'sysconfig')
-rwxr-xr-x | sysconfig/network-scripts/ifup | 12 |
1 files changed, 6 insertions, 6 deletions
diff --git a/sysconfig/network-scripts/ifup b/sysconfig/network-scripts/ifup index 7164a698..8b721138 100755 --- a/sysconfig/network-scripts/ifup +++ b/sysconfig/network-scripts/ifup @@ -84,17 +84,17 @@ if [ -x /sbin/vconfig -a "${VLAN}" = "yes" -a "$ISALIAS" = "no" ]; then fi if [ -n "$VID" ]; then if [ ! -d /proc/net/vlan ]; then - if modprobe 8021q >/dev/null 2>&1 ; then - test -z "$VLAN_NAME_TYPE" && VLAN_NAME_TYPE=DEV_PLUS_VID_NO_PAD - /sbin/vconfig set_name_type "$VLAN_NAME_TYPE" >/dev/null 2>&1 || { - echo $"Could not set 802.1Q VLAN parameters." - } - else + if ! modprobe 8021q >/dev/null 2>&1 ; then echo $"No 802.1Q VLAN support available in kernel for device ${DEVICE}" exit 1 fi fi + test -z "$VLAN_NAME_TYPE" && VLAN_NAME_TYPE=DEV_PLUS_VID_NO_PAD + /sbin/vconfig set_name_type "$VLAN_NAME_TYPE" >/dev/null 2>&1 || { + echo $"Could not set 802.1Q VLAN parameters." + } + is_available ${PHYSDEV} || { if [ "$?" = "1" ] ; then echo $"$alias device ${DEVICE} does not seem to be present, delaying initialization." |